Attribute VB_Name = "Module1"
Option Explicit

Public Const pi As Single = 3.14159
Public ALPHA                            ' expansion rate of radius (vZ̍)
Public Spub(50)
Public QPpub As Integer                 ' number of tie point on chart
Public Ppub(50), SPpub(50)              ' E(y) & E(x) on chart
Public QCpub As Integer                 ' number of tie point on chart
Public Cpub(50), SCpub(50)              ' C(y) & C(x) on chart
Public QTpub As Integer                 ' number of tie point on chart
Public Tpub(50), STpub(50)              ' T(y) & T(x) on chart
Public QBpub As Integer                 ' number of tie point on chart
Public Bpub(50), SBpub(50)              ' B(y) & B(x) on chart
Public NUMpub As Integer                ' number of generating curve
Public STGpub As Integer                ' growth stage
Public DSpub As Single                  ' growth increments of shell
Public FILpub$
Public PRG(4000) As Currency, CUV(4000) As Currency, TOR(4000) As Currency  ' differential parameters
Public BCA(4000)
Public DS(4000) As Currency             ' growth stage
Public SIRpub, CORpub, AXpub, AYpub     ' rotation and shift on screen
Public PTHpub$                          ' path for deta I/O
Public DApub, DBpub                     ' C[x, Z[x
' general parameters
Public SCLpub As Currency           ' scale
Public APflg As Integer             ' flag; position of aperture
Public ORIflg As Integer            ' reconstruct orientation
Public RIBflg As Integer            ' Ribbing
Public GRWflg As Integer            ' liXNvg^[j
Public GRPflg As Integer            ' flag for graph show
' origin on screen (x,y)
Public ORXpub As Currency           ' x-coordinate
Public ORYpub As Currency           ' y-coordinate
' viewing parameters
Public WXpub As Currency            ' x-component
Public WYpub As Currency            ' y-component
Public WZpub As Currency            ' z-component
' lighting parameters
Public LXpub As Currency           ' x-component
Public LYpub As Currency           ' y-component
Public LZpub As Currency           ' z-component
' view for life orientation
Public VWXpub As Currency          ' x-component
Public VWYpub As Currency          ' y-component
Public VWZpub As Currency          ' z-component

Private i As Integer, j As Integer

Public Sub ARCHIVE()

' Sample data load +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                                ' Oi 
    PRG(0) = Ppub(0)
    For j = 1 To QPpub
        For i = SPpub(j - 1) + 1 To SPpub(j)
            PRG(i) = (i - SPpub(j - 1)) * (Ppub(j) - Ppub(j - 1)) / (SPpub(j) - SPpub(j - 1)) + Ppub(j - 1)
            Next i
        Next j
                                ' ȗ C
    CUV(0) = Cpub(0)
    For j = 1 To QCpub
        For i = SCpub(j - 1) + 1 To SCpub(j)
            CUV(i) = (i - SCpub(j - 1)) * (Cpub(j) - Cpub(j - 1)) / (SCpub(j) - SCpub(j - 1)) + Cpub(j - 1)
            Next i
        Next j
                                '  T
    TOR(0) = Tpub(0)
    For j = 1 To QTpub
        For i = STpub(j - 1) + 1 To STpub(j)
            TOR(i) = (i - STpub(j - 1)) * (Tpub(j) - Tpub(j - 1)) / (STpub(j) - STpub(j - 1)) + Tpub(j - 1)
            Next i
        Next j
                                ' ̒ 
    BCA(0) = Bpub(0)
    For j = 1 To QBpub
        For i = SBpub(j - 1) + 1 To SBpub(j)
            BCA(i) = (i - SBpub(j - 1)) * (Bpub(j) - Bpub(j - 1)) / (SBpub(j) - SBpub(j - 1)) + Bpub(j - 1)
            Next i
        Next j
                                '  
    For i = Spub(0) To Spub(1)
        DS(i) = (ALPHA - 1) * PRG(i) * BCA(i)
        Next i
    NUMpub = i - 1

' +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
End Sub

